Categories
Get merge preview categories
Returns categories from source story project type with count of keys that exist in source but not in target story for given language.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Query Parameters
sourceStoryId*integer
Source story ID
targetStoryId*integer
Target story ID
languageId*integer
Language ID
limit?integer
Pagination limit
Default
30offset?integer
Pagination offset
Default
0name?string
Search by category name (case-insensitive)
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/categories/merge-preview?sourceStoryId=1&targetStoryId=2&languageId=1&limit=30&offset=0"{ "data": [ { "id": 1, "name": "default", "newKeysCount": 5 } ], "pagination": { "maxCount": 12 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}